All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.taglib.servlet.tbeans.menubar
Class SelectorMenuItemTag

    com.sas.taglib.servlet.tbeans.menubar.SelectorMenuItemTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, javax.servlet.jsp.tagext.TryCatchFinally

    public class SelectorMenuItemTag

SelectorMenuItemTag is the tag handler class for the sas:SelectorMenuItem custom tag SelectorMenuItemTag is invoked by the JSP page to evaluate the sas:SelectorMenuItem custom tag during the execution of the page. Tag handler methods are called by the JSP page implementation class at various points during the evaluation of the tag. The tag handler methods in turn call methods on the underlying Transformation Bean object, SelectorMenuItem, to execute the methods.

If you need to extend or modify the functionality of the sas:SelectorMenuItem custom tag, you can subclass this tag handler class.

For More Information:

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Refer to the Custom Tag Library Reference for usage information on the sas:SelectorMenuItem custom tag.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site.

SelectorMenuItem is used to populate the selector Menus in a MenuBar custom tags.

See Also:
  `BaseSelectorMenuItem`, Serialized Form

Field Summary

Fields inherited from class com.sas.taglib.servlet.tbeans.BaseTransformationTag
`DEFAULT_CLIENT_INFO_INSTANCE, HDML, HTML, WML`

Fields inherited from class com.sas.taglib.BaseTag
`APPLICATION, PAGE, REQUEST, SESSION`

Constructor Summary
`SelectorMenuItemTag()`

Method Summary
`protected void` | `applyAttributes()` Sets the attributes on the underlying SelectorMenuItem object.
`int` | `doEndTag()` Process the end tag.
`int` | `doStartTag()` Processes the start tag for this instance.
`java.lang.String` | `getActiveSelector()` Gets the activeSelector property (String).
`java.lang.String` | `getSelector()` Gets the selector property (String).
`protected void` | `initialize(boolean includeAttributes)` Initializes attributes and variables for this tag handler.
`void` | `setActiveSelector(java.lang.String activeSelector)` Sets the activeSelector property (String).
`void` | `setSelector(java.lang.String selector)` Sets the selector property (String).

Methods inherited from class com.sas.taglib.servlet.tbeans.BaseTransformationTag
`getCustomAttributes, getEpilog, getLocale, getName, getObjectDataProperty, getProlog, getRender, getRenderType, setCustomAttributes, setEpilog, setLocale, setName, setObjectDataProperty, setProlog, setRender, setRenderType`

Methods inherited from class com.sas.taglib.BaseTag
`convertScope, doCatch, doFinally, getApplyAttributes, getComponentFromParentComposite, getCompositeComponentKey, getInstantiate, getPageContext, getRef, getScope, getTagScope, getWrappedClassName, getWrappedObject, getWrappedObject, loadBeanInstance, newInstance, release, removeFromScope, searchContext, setApplyAttributes, setComponentOnParentComposite, setCompositeComponentKey, setInstantiate, setRef, setScope, setTagScope, setVariableWithinScope, setWrappedClassName, setWrappedObject, validate`

Constructor Detail

### SelectorMenuItemTag

    public SelectorMenuItemTag()

Method Detail

### initialize

    protected void initialize(boolean includeAttributes)

  Initializes attributes and variables for this tag handler.

  Overrides:
    `initialize` in class `BaseTransformationTag`
  Parameters:
    `includeAttributes` - Set to true if attributes are to be set to default values.

### setActiveSelector

    public void setActiveSelector(java.lang.String activeSelector)

  Sets the activeSelector property (String).

  Parameters:
    `the` - activeSelector String

### getActiveSelector

    public java.lang.String getActiveSelector()

  Gets the activeSelector property (String).

  Returns:
    the activeSelector String

### setSelector

    public void setSelector(java.lang.String selector)

  Sets the selector property (String).

  Parameters:
    `the` - selector String

### getSelector

    public java.lang.String getSelector()

  Gets the selector property (String).

  Returns:
    the selector String

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Processes the start tag for this instance. The doStartTag() method assumes that all setter methods have been invoked before. When this method is invoked, the body has not yet been invoked.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `BaseTransformationTag`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.
  See Also:
    `BaseTag.setInstantiate(boolean)`, `TagSupport.doStartTag()`

### applyAttributes

    protected void applyAttributes()
                            throws javax.servlet.jsp.JspException

  Sets the attributes on the underlying SelectorMenuItem object.

  Overrides:
    `applyAttributes` in class `BaseTransformationTag`
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Process the end tag. This method will be called on all Tag objects.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `BaseTransformationTag`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.
  See Also:
    `TagSupport.doEndTag()`, `BaseTag.setInstantiate(boolean)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.